//Hunger system by Rayne for SHARKrust
//modified by kaizokuroof

#include "Hitters.as";

//TODO: Edit these values so you need more water than food.

const u8 hunger_decrement = 2; // Original was 10
u8 hunger_decrement_nonconst = 2; // Original was 10

const u8 thirst_decrement = 4; // Original was 10
u8 thirst_decrement_nonconst = 4; // Original was 10

void onInit (CBlob@ this)
{
	//hungry
	this.set_u8("hunger_max", 100);
	this.set_u8("hunger_current", 100);
	//Thirsty
	this.set_u8("thirst_max", 100);
	this.set_u8("thirst_current", 100);

	this.Tag("can_starve");
	this.Tag("thirsty");

	this.getCurrentScript().tickFrequency = 60 * getTicksASecond(); // original was 30 * getTicksASecond
	this.getCurrentScript().removeIfTag = "dead";
}

void onTick (CBlob@ this)
{
	u8 hungermax = this.get_u8("hunger_max");
	u8 hunger = this.get_u8("hunger_current");

	u8 thirstmax = this.get_u8("thirst_max");
	u8 thirst = this.get_u8("thirst_current");

	if (this.hasTag("thirsty"))
	{
		thirst = this.get_u8("thirst_current");
		if (thirst < 10)
		{
			thirst_decrement_nonconst = thirst;
			thirst = thirst - thirst_decrement_nonconst;
		}
		else
		{
			thirst = thirst - thirst_decrement;
		}
		if (thirst == 0 || thirst > thirstmax)
		{
			thirst = 0;
		}
		this.set_u8("thirst_current", thirst);
		this.Sync("thirst_current", true);
		string thir = thirst;
		string thir2 = thirst_decrement_nonconst;
		print("Thirst is now " + thir);
		print("Thirst decrement_nonconst " + thir2);
	}

	if (thirst == 0)
	{
		this.Tag("is_thirsty");
	}
	else
	{
		this.Untag("is_thirsty");
	}
	
	if ( this.hasTag("can_starve") )
		{
			hunger = this.get_u8("hunger_current");
			if (hunger < 10)
			{
				hunger_decrement_nonconst = hunger;
				hunger = hunger - hunger_decrement_nonconst;
			}
			else
			{
				hunger = hunger - hunger_decrement;
			}
			if (hunger == 0 || hunger > hungermax)
			{
				hunger = 0;
			}
			this.set_u8("hunger_current", hunger);
			this.Sync("hunger_current", true);
			string hung = hunger;
			string hung2 = hunger_decrement_nonconst;
			//string player = this.getPlayer().getUsername();
			print("hunger is now " + hung);
			print("hunger decrement_nonconst " + hung2);
		}
		
	if (hunger == 0)
	{
		this.Tag("starving");
	}
	else
	{
		this.Untag("starving");
	}
}

