//imagine your hunger

void onTick(CBlob@ this) //this script updates every tick, so ontick logic goes here. mostly tagging stuff
{
	AttachmentPoint@ point = this.getAttachments().getAttachmentPointByName("PICKUP");
	CBlob@ attached = point.getOccupied();
	if (attached !is null)
	{
		
		if (attached.getName() == "bed_standalone" || attached.getName() == "quarters")
		{
			this.Untag("can_starve");
			this.Untag("thirsty");
		}
	}

	if (this.get_u8("thirst_current") == 0)
	{
		this.Tag("is_thirsty");
	}
	else
	{
		this.Untag("is_thirsty");
	}

	if (this.get_u8("hunger_current") == 0)
	{
		this.Tag("starving");
	}
	else
	{
		this.Untag("starving");
	}
}

void onDetach(CBlob@ this, CBlob@ detached, AttachmentPoint @detachedPoint) 
{
	this.Tag("can_starve");
}

void onRender(CSprite@ this)
{
	CBlob@ blob = this.getBlob();
	
	if(blob.isMyPlayer())
			{
				uint8 thirst = blob.get_u8("thirst_current");
				uint8 maxthirst = blob.get_u8("thirst_max");
				uint8 hunger = blob.get_u8("hunger_current");
				uint8 max = blob.get_u8("hunger_max");

				Vec2f pos = Vec2f(getScreenWidth()/30,getScreenHeight()/5);
				Vec2f pos2 = Vec2f(getScreenWidth()/-30,getScreenHeight()/5);
				GUI::DrawText("H: " + hunger, pos,
					Vec2f(pos.x + 40, pos.y), color_white, true, true, true);
				GUI::DrawText("T: " + thirst, pos2,
					Vec2f(pos2.x + 40, pos2.y), color_white, true, true, true); 

			}
}